<template>
<q-page class="row">
 <q-parallax style="height: auto;">
      <template v-slot:media>
        <img src="~assets/fondoo.jpg" >
      </template>

      <template v-slot:content="scope">
        <div
          class="absolute column items-center"
          :style="{
            top: (scope.percentScrolled * 20) + '%',
            left: 0,
            right: 0
          }"
        > <div
          class="col-xs-10 col-sm-8 col-md-4 col-lg-3 col-xl-2"
          style="margin: auto"
        >
        <q-intersection
          transition="rotate"
          >
          <q-card style="border-radius: 40px;">
            <q-card-section class="justify-center items-center row">
              <q-img style="width: 80%" src="../assets/logo.jpg"/>
            </q-card-section>
            <q-card-section>
            <q-form
              @submit="onSubmit"
              class="q-gutter-md q-ma-md"
            >
              <q-input
                rounded outlined
                dense
                v-model="form.email"
                label="Usuario *"
                :error="$v.form.email.$error" error-message="Usuario necesario"
              >
                <template v-slot:prepend>
                  <q-icon name="mail"></q-icon>
                </template>
              </q-input>

              <q-input
                rounded outlined
                dense
                :type="isPwd ? 'password' : 'text'"
                v-model="form.password"
                label="Contraseña *"
                :error="$v.form.password.$error" error-message="Contraseña necesaria"
              >
                <template v-slot:prepend>
                  <q-icon name="vpn_key"></q-icon>
                </template>
                <template v-slot:append>
                  <q-icon
                    :name="isPwd ? 'visibility_off' : 'visibility'"
                    class="cursor-pointer"
                    @click="isPwd = !isPwd"
                  />
                </template>
              </q-input>
              <div class="text-center q-ma-sm">
              <vs-button
                type="submit"
                block
                circle
                floating
                class="bg-primary text-white"
                style="font-size: 12pt"
                >
                Ingresar
              </vs-button>
              </div>
            </q-form>
            </q-card-section>
          </q-card>
          </q-intersection>
        </div>
        </div>
      </template>
    </q-parallax>
</q-page>
</template>

<script>
import { required } from 'vuelidate/lib/validators'
import { mapMutations } from 'vuex'
export default {
  name: 'MyLayout',
  validations: {
    form: {
      email: { required },
      password: { required }
    }
  },
  data () {
    return {
      form: {},
      isPwd: true,
      loading: false,
      band: ''
    }
  },
  methods: {
    ...mapMutations('generals', ['login']),
    onSubmit () {
      this.$v.form.$touch()
      if (this.$v.form.$error) {
        console.log('error')
      } else {
        this.$q.loading.show()
        this.$api.post('login', this.form).then(res => {
          if (res) {
            this.login(res)
            this.$router.push('menu')
          }
          this.$q.loading.hide()
        })
      }
    }
  }
}
</script>
